// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		F51F04EF2162171200FC040D /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = F51F04EE2162171200FC040D /* AppDelegate.swift */; };
		F51F04F12162171200FC040D /* ChecklistViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = F51F04F02162171200FC040D /* ChecklistViewController.swift */; };
		F51F04F42162171200FC040D /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = F51F04F22162171200FC040D /* Main.storyboard */; };
		F51F04F62162171600FC040D /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = F51F04F52162171600FC040D /* Assets.xcassets */; };
		F51F04F92162171600FC040D /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = F51F04F72162171600FC040D /* LaunchScreen.storyboard */; };
		F51F050321624F1500FC040D /* ChecklistItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = F51F050221624F1500FC040D /* ChecklistItem.swift */; };
		F51F0505216259C400FC040D /* TodoList.swift in Sources */ = {isa = PBXBuildFile; fileRef = F51F0504216259C400FC040D /* TodoList.swift */; };
		F51F05092163AEF400FC040D /* ItemDetailViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = F51F05082163AEF400FC040D /* ItemDetailViewController.swift */; };
		F51F050B2163BF2C00FC040D /* ChecklistTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = F51F050A2163BF2C00FC040D /* ChecklistTableViewCell.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		F51F04EB2162171200FC040D /* Checklist.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Checklist.app; sourceTree = BUILT_PRODUCTS_DIR; };
		F51F04EE2162171200FC040D /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		F51F04F02162171200FC040D /* ChecklistViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChecklistViewController.swift; sourceTree = "<group>"; };
		F51F04F32162171200FC040D /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		F51F04F52162171600FC040D /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		F51F04F82162171600FC040D /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		F51F04FA2162171600FC040D /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		F51F050221624F1500FC040D /* ChecklistItem.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChecklistItem.swift; sourceTree = "<group>"; };
		F51F0504216259C400FC040D /* TodoList.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TodoList.swift; sourceTree = "<group>"; };
		F51F05082163AEF400FC040D /* ItemDetailViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ItemDetailViewController.swift; sourceTree = "<group>"; };
		F51F050A2163BF2C00FC040D /* ChecklistTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChecklistTableViewCell.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		F51F04E82162171200FC040D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		F51F04E22162171200FC040D = {
			isa = PBXGroup;
			children = (
				F51F04ED2162171200FC040D /* Checklist */,
				F51F04EC2162171200FC040D /* Products */,
			);
			sourceTree = "<group>";
		};
		F51F04EC2162171200FC040D /* Products */ = {
			isa = PBXGroup;
			children = (
				F51F04EB2162171200FC040D /* Checklist.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		F51F04ED2162171200FC040D /* Checklist */ = {
			isa = PBXGroup;
			children = (
				F51F04EE2162171200FC040D /* AppDelegate.swift */,
				F51F04F22162171200FC040D /* Main.storyboard */,
				F51F04F02162171200FC040D /* ChecklistViewController.swift */,
				F51F05082163AEF400FC040D /* ItemDetailViewController.swift */,
				F51F050A2163BF2C00FC040D /* ChecklistTableViewCell.swift */,
				F51F0504216259C400FC040D /* TodoList.swift */,
				F51F050221624F1500FC040D /* ChecklistItem.swift */,
				F51F04F52162171600FC040D /* Assets.xcassets */,
				F51F04F72162171600FC040D /* LaunchScreen.storyboard */,
				F51F04FA2162171600FC040D /* Info.plist */,
			);
			path = Checklist;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		F51F04EA2162171200FC040D /* Checklist */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = F51F04FD2162171600FC040D /* Build configuration list for PBXNativeTarget "Checklist" */;
			buildPhases = (
				F51F04E72162171200FC040D /* Sources */,
				F51F04E82162171200FC040D /* Frameworks */,
				F51F04E92162171200FC040D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Checklist;
			productName = Checklist;
			productReference = F51F04EB2162171200FC040D /* Checklist.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		F51F04E32162171200FC040D /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1000;
				LastUpgradeCheck = 1000;
				ORGANIZATIONNAME = "Kevin Topollaj";
				TargetAttributes = {
					F51F04EA2162171200FC040D = {
						CreatedOnToolsVersion = 10.0;
					};
				};
			};
			buildConfigurationList = F51F04E62162171200FC040D /* Build configuration list for PBXProject "Checklist" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = F51F04E22162171200FC040D;
			productRefGroup = F51F04EC2162171200FC040D /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				F51F04EA2162171200FC040D /* Checklist */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		F51F04E92162171200FC040D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				F51F04F92162171600FC040D /* LaunchScreen.storyboard in Resources */,
				F51F04F62162171600FC040D /* Assets.xcassets in Resources */,
				F51F04F42162171200FC040D /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		F51F04E72162171200FC040D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				F51F05092163AEF400FC040D /* ItemDetailViewController.swift in Sources */,
				F51F0505216259C400FC040D /* TodoList.swift in Sources */,
				F51F04F12162171200FC040D /* ChecklistViewController.swift in Sources */,
				F51F050B2163BF2C00FC040D /* ChecklistTableViewCell.swift in Sources */,
				F51F04EF2162171200FC040D /* AppDelegate.swift in Sources */,
				F51F050321624F1500FC040D /* ChecklistItem.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		F51F04F22162171200FC040D /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				F51F04F32162171200FC040D /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		F51F04F72162171600FC040D /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				F51F04F82162171600FC040D /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		F51F04FB2162171600FC040D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		F51F04FC2162171600FC040D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		F51F04FE2162171600FC040D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = Checklist/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.example.Checklist;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		F51F04FF2162171600FC040D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = Checklist/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.example.Checklist;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		F51F04E62162171200FC040D /* Build configuration list for PBXProject "Checklist" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				F51F04FB2162171600FC040D /* Debug */,
				F51F04FC2162171600FC040D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		F51F04FD2162171600FC040D /* Build configuration list for PBXNativeTarget "Checklist" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				F51F04FE2162171600FC040D /* Debug */,
				F51F04FF2162171600FC040D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = F51F04E32162171200FC040D /* Project object */;
}
